curl --request GET \
--url https://api.emailr.dev/v1/inboxes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.emailr.dev/v1/inboxes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.emailr.dev/v1/inboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Support",
"username": "support",
"domain": "example.com",
"reply_to": "[email protected]",
"from_address": "[email protected]",
"inbound_address": "[email protected]",
"signature_html": "<p>Best regards,<br/>Support Team</p>",
"signature_enabled": false,
"slack_connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slack_channel_id": "<string>",
"slack_channel_name": "<string>",
"slack_notifications_enabled": false,
"unread_thread_count": 3,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"error": "An error occurred",
"code": "VALIDATION_ERROR",
"details": "<unknown>"
}List inboxes
Get all inboxes for the authenticated organization. Use ?light=true for a fast response without unread counts.
Authorizations
API key authentication. Use your API key as the bearer token.
Query Parameters
Skip unread count computation for faster response
"true"
Response
List of inboxes
"123e4567-e89b-12d3-a456-426614174000"
"Support"
"support"
"example.com"
Reply-to address for outbound emails. Defaults to [email protected] when not set.
Computed from address (username@domain) used for outbound sending
Computed inbound address ([email protected]) used for receiving emails
HTML signature content appended to outgoing transactional emails
"<p>Best regards,<br/>Support Team</p>"
Whether to append the signature to outgoing transactional emails
false
Slack OAuth connection ID for notifications
Slack channel ID where notifications are sent
Slack channel display name
Whether Slack notifications are enabled for this inbox
false
Number of unread threads in this inbox
3